CREATE TABLE aggr_availability (
    base_date       DATE NOT NULL,
    macaddr         MACADDR NOT NULL,
    project         project_enum DEFAULT 'proinfo' NOT NULL,
    sch_inep        VARCHAR (12) NOT NULL,
    sch_name        VARCHAR (150) NOT NULL,
    city            VARCHAR (100) NOT NULL,
    state           VARCHAR (2) NOT NULL,
    region          VARCHAR (12) NOT NULL,
    is_green        SMALLINT DEFAULT 0 NOT NULL,
    is_yellow       SMALLINT DEFAULT 0 NOT NULL,
    is_red          SMALLINT DEFAULT 0 NOT NULL
);

CREATE INDEX aggr_availability_base_date_idx ON aggr_availability USING btree (base_date);
