<%
    // create the parameters for the charts
    SimpleParameterProvider parameters = new SimpleParameterProvider();

    parameters.setParameter("inner-param", "PARAM");

    if ( type.equals("Brasil") ) {
        parameters.setParameter("drill-url", url_link[0]);
    }
    /* Está mostrando os gráficos de uma região */
    else {
        parameters.setParameter("drill-url", url_link[1]);
    }
    /* Está mostrando os gráficos de um state */
    if ( region != null ) {
        parameters.setParameter("REGIAO", region);
        parameters.setParameter("drill-url", url_link[2]);
    }
    /* Está mostrando os gráficos de uma city */
    if ( state != null ) {
        parameters.setParameter("ESTADO", state);
        parameters.setParameter("drill-url", url_link[3]);

        // Descobre a quantidade de cidades para poder dimensionar o gráfico
        try {
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();

            String query = "SELECT count(distinct " + tb_cidade + ") AS qtde FROM " + tabela + " WHERE " + tb_estado + " = '" + state + "'" + others;

            parameters.setParameter("QUERY", query);

            // run the action sequence
            SolutionHelper.doAction("seed2", "others", "cities.xaction", "parameters", parameters, outputStream, userSession, messages, null);

            int cities = Integer.parseInt(outputStream.toString());
            numCidades = (numCidades < cities) ? cities : numCidades;
        }
        catch (Exception e) {
            out.write("Erro: " + e.getMessage());
        }
    }
%>
