<%@ page language="java"
    import="java.util.ArrayList,
    java.util.*,
    java.text.*,
    java.sql.*,
    javax.sql.*,
    javax.naming.*,
    java.io.ByteArrayOutputStream,
    org.pentaho.platform.util.web.SimpleUrlFactory,
    /* org.pentaho.mantle.client.messages.Messages, */
    org.pentaho.platform.web.jsp.messages.Messages,
    org.pentaho.platform.engine.core.system.PentahoSystem,
    org.pentaho.platform.uifoundation.chart.DashboardWidgetComponent,
    org.pentaho.platform.web.http.request.HttpRequestParameterProvider,
    org.pentaho.platform.web.http.session.HttpSessionParameterProvider,
    org.pentaho.platform.api.engine.IPentahoSession,
    /*  org.pentaho.core.util.UIUtil, */
    org.pentaho.platform.web.http.PentahoHttpSessionHelper,
    org.pentaho.platform.util.VersionHelper,
    org.pentaho.platform.util.messages.LocaleHelper,
    org.pentaho.platform.engine.services.actionsequence.ActionResource,
    org.pentaho.platform.api.engine.IActionSequenceResource,
    org.pentaho.platform.engine.core.solution.SimpleParameterProvider,
    org.pentaho.platform.uifoundation.chart.ChartHelper,
    org.pentaho.platform.engine.core.system.PentahoBase,
    org.pentaho.platform.web.http.security.RequestParameterAuthenticationFilter,
    org.pentaho.plugin.jfreereport.reportcharts.BarChartExpression,
    org.pentaho.platform.engine.services.solution.SolutionHelper,
    java.io.*"
%>
<%
    // character encoding e.g. UFT-8
    response.setCharacterEncoding(LocaleHelper.getSystemEncoding());

    // Cria sessao pentaho
    IPentahoSession userSession = PentahoHttpSessionHelper.getPentahoSession( request );

    ArrayList messages = new ArrayList();

    /* Get parameters from url */
    String type = request.getParameter("type");
    String region = request.getParameter("region");
    String state = request.getParameter("state");
    String city = request.getParameter("city");

    if ( type == null ) {
        type = "Brasil";
    }

    /* Set data base table used to calculate the number of cities */
    String tabela = "mectb10_dm_inventario";
    String tb_regiao = "inv_regiao";
    String tb_estado = "inv_estado";
    String tb_cidade = "inv_cidade";
    String others = "AND inv_projeto = 2";
    /* Set initial value */
    int numCidades = 10;
%>

<html>
    <head/>
    <body>
    <center>
        <table style="text-align: left; width: 600px;">
        <%
            String[] url_link = {"UCAServerInvent?type=Regiao",
                                "UCAServerInvent?type=Estado&region={PARAM}",
                                "UCAServerInvent?type=Cidade&region=" + region + "&state={PARAM}",
                                "ViewAction?type=Escola&solution=seed2&path=uca-server/inventario&action=inventRelatorio.xaction&REGIAO="+region+"&ESTADO="+state+"&CIDADE={PARAM}&output-type=pdf"
                                };
        %>

        <!--*************** Gráficos ***************-->
        <tr>
            <!-- Gráfico de barras -->
            <td id="Bar_chart">
                <%@ include file="../includes_seed2/parameters.jsp" %>
                <%
                    // set the width and the height
                    parameters.setParameter( "image-width", "300");
                    parameters.setParameter( "image-height", String.valueOf(100 + (numCidades * 20)));

                    StringBuffer content = new StringBuffer();

                    ChartHelper.doChart( "seed2", "uca-server/inventario", "barchart" + type + ".xml", parameters, content, userSession, messages, null );
                %>
                <%= content.toString() %>
            </td>
        </tr>
        <!-- Gráfico de histórico do Brasil -->
        <tr>
            <!-- Gráfico de linhas do histórico dos últimos 6 meses -->
            <td id="Line_chart">
                <%
                    parameters.setParameter( "image-width", "600");
                    parameters.setParameter( "image-height", "250");

                    content = new StringBuffer();

                    ChartHelper.doChart( "seed2", "uca-server/inventario", "linechart" + type + ".xml", parameters, content, userSession, messages, null );
                %>
                &nbsp;
                <%= content.toString() %>
            </td>
        </tr>
    </center>
    </body>
</html>
