/*
 * Copyright (C) 2009-2012 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 *
 * This file is part of server
 *
 * server is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
 */


/* File libs */
import java.io.File;

public class FileUtil {

/**
 * Get file size using file path.
 *
 * @author                  Rubens Massayuki Suguimoto
 * @param       filename    String
 * @return                  long
*/
public long getFileSize(String filename) {

    File file = new File(filename);

    if ((!file.exists()) || (!file.isFile())) {
        System.out.println("File doesn\'t exist");
        return -1;
    }

    /* Here we get the file size */
    return file.length();
}

}
