package controllers;

import play.*;
import play.mvc.*;

import views.html.*;

public class Application extends Controller {

    public static Result index() {
        return ok(index.render());
    }

    public static Result jsRoutes() {
        return ok(Routes.javascriptRouter("jsRoutes",
                    routes.javascript.Application.index(),
                    routes.javascript.Attendance.school(),
                    routes.javascript.Attendance.schoolByName(),
                    routes.javascript.Attendance.availabilityBrasil(),
                    routes.javascript.Attendance.availabilityRegion(),
                    routes.javascript.Attendance.availabilityState(),
                    routes.javascript.Attendance.inventoryBrasil(),
                    routes.javascript.Attendance.inventoryRegion(),
                    routes.javascript.Attendance.inventoryState(),
                    routes.javascript.Attendance.auditBrasil(),
                    routes.javascript.Attendance.auditRegion(),
                    routes.javascript.Attendance.auditState(),
                    routes.javascript.Attendance.alertBrasil(),
                    routes.javascript.Attendance.alertRegion(),
                    routes.javascript.Attendance.alertState(),
                    routes.javascript.Attendance.networkBrasil(),
                    routes.javascript.Attendance.networkRegion(),
                    routes.javascript.Attendance.networkState(),
                    routes.javascript.Attendance.networkCity(),
                    routes.javascript.Reports.availabilityCity(),
                    routes.javascript.Reports.inventoryCity(),
                    routes.javascript.Reports.auditCity(),
                    routes.javascript.Reports.alertCity(),
                    routes.javascript.Data.netUsage(),
                    routes.javascript.Data.availability(),
                    routes.javascript.Data.inventory(),
                    routes.javascript.Data.audit(),
                    routes.javascript.Data.alert(),
                    routes.javascript.Data.os(),
                    routes.javascript.Combo.projects(),
                    routes.javascript.Combo.reports(),
                    routes.javascript.Combo.regions(),
                    routes.javascript.Combo.states(),
                    routes.javascript.Combo.cities()
                    )
                ).as("text/javascript");
    }
}
