<%
try {
    if (region != null && state == null) {
        // create an output stream for the report content
        outputStream = new ByteArrayOutputStream();

        if (project.equals("proinfo") && (type.equals("disp") || type.equals("invent") || type.equals("audit"))) {
            if (region.equals("Centro-Oeste")) {
                options = "<option value=\"DF\">DF</option>";
                options += "<option value=\"GO\">GO</option>";
                options += "<option value=\"MS\">MS</option>";
                options += "<option value=\"MT\">MT</option>";
            }
            else if (region.equals("Nordeste")) {
                options = "<option value=\"AL\">AL</option>";
                options += "<option value=\"BA\">BA</option>";
                options += "<option value=\"CE\">CE</option>";
                options += "<option value=\"MA\">MA</option>";
                options += "<option value=\"PB\">PB</option>";
                options += "<option value=\"PE\">PE</option>";
                options += "<option value=\"PI\">PI</option>";
                options += "<option value=\"RN\">RN</option>";
                options += "<option value=\"SE\">SE</option>";
            }
            else if (region.equals("Norte")) {
                options = "<option value=\"AC\">AC</option>";
                options += "<option value=\"AM\">AM</option>";
                options += "<option value=\"AP\">AP</option>";
                options += "<option value=\"PA\">PA</option>";
                options += "<option value=\"RO\">RO</option>";
                options += "<option value=\"RR\">RR</option>";
                options += "<option value=\"TO\">TO</option>";
            }
            else if (region.equals("Sudeste")) {
                options = "<option value=\"ES\">ES</option>";
                options += "<option value=\"MG\">MG</option>";
                options += "<option value=\"RJ\">RJ</option>";
                options += "<option value=\"SP\">SP</option>";
            }
            else if (region.equals("Sul")) {
                options = "<option value=\"PR\">PR</option>";
                options += "<option value=\"RS\">RS</option>";
                options += "<option value=\"SC\">SC</option>";
            }
        }
        else {
            query = "SELECT distinct "+tb_state+" AS states FROM "+table+" WHERE "+tb_region+" = '"+region.toUpperCase()+"' "+ others + "ORDER BY states";
            parameters.setParameter("QUERY", query);
            // run the action sequence
            SolutionHelper.doAction("seed2", "others", "fieldList.xaction", "stateList.jsp", parameters, outputStream, userSession, messages, null);
            options = outputStream.toString();
        }
    }
}
catch (Exception e) {
    out.write("Erro: " + e.getMessage());
}
%>
