<%@ page language="java"
    import="java.util.ArrayList,
    java.util.Date,
    java.util.*,
    java.text.*,
    java.sql.*,
    javax.sql.*,
    javax.naming.*,
    java.lang.String,
    java.lang.*,
    java.io.ByteArrayOutputStream,
    java.io.*,
    org.pentaho.platform.util.web.SimpleUrlFactory,
    /* org.pentaho.mantle.client.messages.Messages, */
    org.pentaho.platform.web.jsp.messages.Messages,
    org.pentaho.platform.engine.core.system.PentahoSystem,
    org.pentaho.platform.uifoundation.chart.DashboardWidgetComponent,
    org.pentaho.platform.web.http.request.HttpRequestParameterProvider,
    org.pentaho.platform.web.http.session.HttpSessionParameterProvider,
    org.pentaho.platform.api.engine.IPentahoSession,
    /*  org.pentaho.core.util.UIUtil, */
    org.pentaho.platform.web.http.PentahoHttpSessionHelper,
    org.pentaho.platform.util.VersionHelper,
    org.pentaho.platform.util.messages.LocaleHelper,
    org.pentaho.platform.engine.services.actionsequence.ActionResource,
    org.pentaho.platform.api.engine.IActionSequenceResource,
    org.pentaho.platform.engine.core.solution.SimpleParameterProvider,
    org.pentaho.platform.uifoundation.chart.ChartHelper,
    org.pentaho.platform.engine.core.system.PentahoBase,
    org.pentaho.platform.web.http.security.RequestParameterAuthenticationFilter,
    org.pentaho.platform.engine.services.solution.SolutionHelper"
%>
<%
    // character encoding e.g. UFT-8
    response.setCharacterEncoding(LocaleHelper.getSystemEncoding());

    // Cria sessao pentaho
    IPentahoSession userSession = PentahoHttpSessionHelper.getPentahoSession( request );
    /*
    String baseUrl = PentahoSystem.getApplicationContext().getBaseUrl();
    HttpRequestParameterProvider requestParameters = new HttpRequestParameterProvider( request );
    HttpSessionParameterProvider sessionParameters = new HttpSessionParameterProvider( userSession );
    */

    SimpleParameterProvider parameters = new SimpleParameterProvider();
    ArrayList messages = new ArrayList();
    ByteArrayOutputStream outputStream;
    String options = "";
    String query;

    //session.setAttribute("QUERY", query);

    /* Get parameters from url */
    String project = request.getParameter("project");
    String type = request.getParameter("type");
    String region = request.getParameter("region");
    String state = request.getParameter("state");
    String city = request.getParameter("city");
    String school = request.getParameter("school");
    String date = request.getParameter("date");

    /* Default values */
    String table = "mectb08_dm_disp";
    String tb_region = "dis_regiao";
    String tb_state = "dis_estado";
    String tb_city = "dis_cidade";
    String tb_school = "dis_escola";
    String tb_date = "dis_data";
    String project_id = "0";
    String others = "AND dis_projeto = " + project_id;

    if (project != null) {
        if (project.equals("proinfo")) {
            project_id = "0";
        }
        else if (project.equals("uca-classmate")) {
            project_id = "1";
        }
        else if (project.equals("uca-server")) {
            project_id = "2";
        }
        else if (project.equals("projector")) {
            project_id = "3";
        }
    }

    /* Set data base table used to list the regions, states, cities, schools
     * and dates to be chosen                                                */
    /* Just test type variable if it is diffent from null. Otherwise, use
     * the default values                                                 */
    if (type != null) {
        if (type.equals("disp")) {
            table = "mectb08_dm_disp";
            tb_region = "dis_regiao";
            tb_state = "dis_estado";
            tb_city = "dis_cidade";
            tb_date = "dis_data";
            tb_school = "dis_escola";
            others = "AND dis_projeto = " + project_id;
        }
        else if (type.equals("invent")) {
            table = "mectb10_dm_inventario";
            tb_region = "inv_regiao";
            tb_state = "inv_estado";
            tb_city = "inv_cidade";
            tb_school = "inv_escola";
            tb_date = "inv_data";
            others = "AND inv_projeto = " + project_id;
        }
        else if (type.equals("audit")) {
            table = "mectb11_dm_auditoria";
            tb_region = "aud_regiao";
            tb_state = "aud_estado";
            tb_city = "aud_cidade";
            tb_school = "aud_escola";
            tb_date = "aud_data";
            others = "AND aud_projeto = " + project_id;
        }
        else if (type.equals("audit2")) {
            table = "mectb11_dm_auditoria";
            tb_region = "aud_regiao";
            tb_state = "aud_estado";
            tb_city = "aud_cidade";
            tb_school = "aud_escola";
            tb_date = "aud_data";
            others = "AND aud_instaladas = 0 AND aud_projeto = " + project_id;
        }
        else if (type.equals("alert")) {
            table = "mectb10_dm_inventario";
            tb_region = "inv_regiao";
            tb_state = "inv_estado";
            tb_city = "inv_cidade";
            tb_school = "inv_escola";
            tb_date = "inv_data";
            others = "AND inv_projeto = " + project_id + " AND (inv_alerta_hd = 'B1' OR inv_alerta_mem = 'B1')";
        }
        else if (type.equals("net")) {
            table = "mectb13_dm_rede";
            tb_region = "rede_regiao";
            tb_state = "rede_estado";
            tb_city = "rede_cidade";
            tb_school = "rede_escola";
            tb_date = "rede_data";
            others = "";
        }
    }
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<head/>
<body>
    <center>
    <table style="text-align: left; width: 575px;">
        <tbody>
            <tr>
                <th colspan="2">
                    <center>
                        <p style="font-size:small;font-weight:bold;">
                            Busca r&aacute;pida
                        </p><br />
                    </center>
                        <p style="font-size: small; font-weight: bold;">
                            Caso queira gerar um relat&oacute;rio de forma
                            direta, utilize os campos abaixo:
                        </p><br />
                </th>

            <tr>
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;"id="span_project">
                        Projeto:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_project_value"></span>
                    <select onchange="modifyLink(this.value)" id="select_project">
                        <option style="display:none;" selected="selected" value=""></option>
                        <option value="?project=proinfo">M&aacute;quina PROINFO</option>
                        <!--<option value="?project=uca-classmate">UCA Classmate</option>-->
                        <!--<option value="?project=uca-server">UCA Server</option>-->
                        <option value="?project=projector">Projetor PROINFO</option>
                    </select>
                <td>
            </tr>

            <tr>
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;"id="span_type">
                        Tipo de relat&oacute;rio:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_type_value"></span>
                    <select disabled="true" onchange="modifyLink(this.value)" id="select_type">
                        <option style="display:none;" selected="selected" value=""></option>
                        <option value="&type=disp">Disponibilidade</option>
                        <option value="&type=invent">Invent&aacute;rio</option>
                        <% if (project != null && project.equals("proinfo")) %> <option value="&type=audit">Parque computacional instalado</option> <% ; %>
                        <% if (project != null && project.equals("proinfo")) %> <option value="&type=audit2">Escolas sem o agente instalado</option> <% ; %>
                        <% if (project != null && project.equals("proinfo")) %> <option value="&type=alert">Altera&ccedil;&atilde;o de invent&aacute;rio</option> <% ; %>
                        <% if (project != null && project.equals("proinfo")) %> <option value="&type=net">Uso de rede</option> <% ; %>
                    </select>
                <td>
            </tr>

        <%@ include file="includes_seed2/regionList.jsp" %>

            <tr>
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;"id="span_region">
                        Regi&atilde;o:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_region_value"><%if(region != null)%><%=region%></span>
                    <select disabled="true" onchange="modifyLink('&region=' + this.value);" id="select_region">
                        <option style="display:none;" selected="selected" value=""></option>
                        <%= options %>
                    </select>
                </td>
            </tr>

        <% options = ""; %>
        <%@ include file="includes_seed2/stateList.jsp" %>

            <tr>
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;"id="span_state">
                        Estado:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_state_value"><%if(state != null)%><%=state%></span>
                        <select disabled="true" onchange="modifyLink('&state=' + this.value);" id="select_state">
                            <option style="display:none;" selected="selected" value=""></option>
                            <%= options %>
                        </select>
                </td>
            </tr>

        <% options = ""; %>
        <%@ include file="includes_seed2/cityList.jsp" %>

            <tr>
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;width:200px;"id="span_city">
                        Cidade:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_city_value"><%if(city != null)%><%=city%></span>
                    <select disabled="true" onchange="modifyLink('&city=' + this.value);" id="select_city">
                        <option style="display:none;" selected="selected" value=""></option>
                        <%= options %>
                    </select>
                </td>
            </tr>

        <% options = ""; %>
        <%@ include file="includes_seed2/schoolList.jsp" %>

            <tr id="tr_school" style="display:none;">
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;width:200px;" id="span_school"> <!--display="none"-->
                        Escola:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_school_value"><%if(school != null)%><%=school%></span>
                    <select disabled="true" onchange="modifyLink('&school=' + this.value);" id="select_school">
                        <option style="display:none;" selected="selected" value=""></option>
                        <%= options %>
                    </select>
                </td>
            </tr>

        <% options = ""; %>
        <%@ include file="includes_seed2/dateList.jsp" %>

            <tr id="tr_date" style="display:none;">
                <td style="padding-left:125px;width:150px">
                    <span style="font-size:small;font-weight:bold;width:200px;" id="span_date"> <!--display="none"-->
                        Data:
                    </span>
                </td>
                <td>
                    <span style="font-size:small;"id="span_date_value"><%if(date != null)%><%=date%></span>
                    <select disabled="true" onchange="modifyLink('&date=' + this.value);" id="select_date">
                        <option style="display:none;" selected="selected" value=""></option>
                        <%= options %>
                    </select>
                </td>
            </tr>
        </table><br />

        <input id="make" type="button" disabled="disabled" onclick="makeNewLink()" value="Gerar Relat&oacute;rio" />
        <br /><br />
        <input id="reset_button" type="button" onclick="reset()" value="Nova Busca" />

    </center>
</body>
</html>
