#!/bin/bash

  #test if there a libraries folder
  if [ ! -d libraries ]; then
    mkdir libraries
  else
    rm -rf libraries_bkp
    mv libraries libraries_bkp
    mkdir libraries
  fi

  #download new libraries to compile .jasper files in java
  #fist test if there libraries, after save em libraries folder
  if [ -e jasperreports-5.0.0.jar ]; then
    mv jasperreports-5.0.0.jar libraries
  else
    wget "http://community.jaspersoft.com/sites/default/files/releases/jasperreports-5.0.0.jar"
    mv jasperreports-5.0.0.jar libraries
  fi

  if [ -e commons-beanutils-1.8.3-bin.tar.gz ]; then
    tar xvf commons-beanutils-1.8.3-bin.tar.gz
    mv commons-beanutils-1.8.3/commons-beanutils-1.8.3.jar libraries
    rm -rf commons-beanutils-1.8.3
  else
    wget "http://mirror.olnevhost.net/pub/apache//commons/beanutils/binaries/commons-beanutils-1.8.3-bin.tar.gz"
    tar xvf commons-beanutils-1.8.3-bin.tar.gz
    mv commons-beanutils-1.8.3/commons-beanutils-1.8.3.jar libraries
    rm -rf commons-beanutils-1.8.3
  fi

  if [ -e commons-digester3-3.2-bin.tar.gz ]; then
    tar xvf commons-digester3-3.2-bin.tar.gz
    mv commons-digester3-3.2/commons-digester3-3.2.jar libraries
    rm -rf commons-digester3-3.2
  else
    wget "http://mirrors.ibiblio.org/apache//commons/digester/binaries/commons-digester3-3.2-bin.tar.gz"
    tar xvf commons-digester3-3.2-bin.tar.gz
    mv commons-digester3-3.2/commons-digester3-3.2.jar libraries
    rm -rf commons-digester3-3.2
  fi

  if [ -e commons-logging-1.1.2-bin.tar.gz ]; then
    tar xvf commons-logging-1.1.2-bin.tar.gz
    mv commons-logging-1.1.2/commons-logging-1.1.2.jar libraries
    rm -rf commons-logging-1.1.2
  else
    wget "http://apache.spinellicreations.com//commons/logging/binaries/commons-logging-1.1.2-bin.tar.gz"
    tar xvf commons-logging-1.1.2-bin.tar.gz
    mv commons-logging-1.1.2/commons-logging-1.1.2.jar libraries
    rm -rf commons-logging-1.1.2
  fi

  if [ -e commons-collections-3.2.1-bin.tar.gz ]; then
    tar xvf commons-collections-3.2.1-bin.tar.gz
    mv commons-collections-3.2.1/commons-collections-3.2.1.jar libraries
    rm -rf commons-collections-3.2.1
  else
    wget "http://download.nextag.com/apache//commons/collections/binaries/commons-collections-3.2.1-bin.tar.gzls"
    tar xvf commons-collections-3.2.1-bin.tar.gz
    mv commons-collections-3.2.1/commons-collections-3.2.1.jar libraries
    rm -rf commons-collections-3.2.1
  fi

  if [ ! -e postgresql-9.2-1002.jdbc4.jar ]; then
    wget "http://jdbc.postgresql.org/download/postgresql-9.2-1002.jdbc4.jar"
    mv postgresql-9.2-1002.jdbc4.jar libraries
  fi
