package controllers;

import java.io.*;
import java.util.*;

import play.*;
import play.mvc.*;

import lib.reports.*;

public class Reports extends Controller {
    public static Result availabilityCity(String project, String region, String state, String city) throws Exception {
        Map params = new HashMap();
        params.put("REGIAO", region);
        params.put("ESTADO", state);
        params.put("CIDADE", city);

        response().setHeader("Content-Disposition", "inline; filename="+project+"Avail.pdf");

        JasperReport report = new JasperReport(project+"AvailCity.jrxml", params);
        return ok(report.renderAs("application/pdf")).as("application/pdf");
    }

    public static Result inventoryCity(String project, String region, String state, String city) throws Exception {
        Map params = new HashMap();
        params.put("REGIAO", region);
        params.put("ESTADO", state);
        params.put("CIDADE", city);

        response().setHeader("Content-Disposition", "inline; filename="+project+"Inventory.pdf");

        JasperReport report = new JasperReport(project+"InventoryCity.jrxml", params);
        return ok(report.renderAs("application/pdf")).as("application/pdf");
    }

    public static Result auditCity(String project, String region, String state, String city) throws Exception {
        Map params = new HashMap();
        params.put("REGIAO", region);
        params.put("ESTADO", state);
        params.put("CIDADE", city);

        response().setHeader("Content-Disposition", "inline; filename="+project+"Audit.pdf");

        JasperReport report = new JasperReport(project+"AuditCity.jrxml", params);
        return ok(report.renderAs("application/pdf")).as("application/pdf");
    }

    public static Result alertCity(String project, String region, String state, String city) throws Exception {
        Map params = new HashMap();
        params.put("REGIAO", region);
        params.put("ESTADO", state);
        params.put("CIDADE", city);

        response().setHeader("Content-Disposition", "inline; filename="+project+"Alert.pdf");

        JasperReport report = new JasperReport(project+"AlertCity.jrxml", params);
        return ok(report.renderAs("application/pdf")).as("application/pdf");
    }

}
