function formatNumber(number)
{
    var nStr = number.toFixed(0);
    x = nStr.split('.');
    x1 = x[0];
    x2 = x.length > 1 ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + '.' + '$2'); // changed comma to dot here
    }
    return x1 + x2;
}

function formatKBits(kbits)
{
    var unit = ' Kbps';

    if (kbits >= 1000) {
        unit = ' Mbps';
        kbits = kbits / 1024;
    }

    if (kbits >= 1000) {
        unit = ' Gbps';
        kbits = kbits / 1024;
    }

    var nStr = kbits.toFixed(2);
    x = nStr.split('.');
    x1 = x[0];
    x2 = ((parseInt(x[1]) != 0) && (x.length > 1)) ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + '.' + '$2'); // changed comma to dot here
    }
    return x1 + x2 + unit;
}
